## haskell-representable-functors 2.1

=== debian/changelog ===
haskell-representable-functors (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Iulian Udrea <iulian@linux.com>  Thu, 24 Nov 2011 15:37:57 +0000

haskell-representable-functors (2.0.2-1) unstable; urgency=low

  * Initial release.

 -- Iulian Udrea <iulian@linux.com>  Sat, 03 Sep 2011 08:14:00 +0100
