=== debian/control ===
Source: haskell-representable-functors
Section: haskell
Priority: extra
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Iulian Udrea <iulian@linux.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7),
               cdbs, 
               haskell-devscripts (>= 0.8), 
               ghc, 
               ghc-prof,
               libghc-comonad-dev (>= 1.1.1.1),
               libghc-comonad-dev (<< 1.2),
               libghc-comonad-prof,
               libghc-contravariant-dev (>= 0.1.2),
               libghc-contravariant-dev (<< 0.2),
               libghc-contravariant-prof,
               libghc-distributive-dev (>= 0.2),
               libghc-distributive-dev (<< 0.3),
               libghc-distributive-prof,
               libghc-mtl-dev (>= 2.0.1.0),
               libghc-mtl-dev (<< 2.1),
               libghc-mtl-prof,
               libghc-semigroups-dev (>= 0.8),
               libghc-semigroups-dev (<< 0.9),
               libghc-semigroups-prof,
               libghc-semigroupoids-dev (>= 1.2.6),
               libghc-semigroupoids-dev (<< 1.3.0),
               libghc-semigroupoids-prof,
               libghc-transformers-dev (>= 0.2.0),
               libghc-transformers-dev (<< 0.3),
               libghc-transformers-prof,
               libghc-keys-dev (>= 2.1),
               libghc-keys-dev (<< 2.2),
               libghc-keys-prof,
               libghc-free-dev (>= 2.0),
               libghc-free-dev (<< 2.1),
               libghc-free-prof,
               libghc-comonad-transformers-dev (>= 2.0.2),
               libghc-comonad-transformers-dev (<< 2.1),
               libghc-comonad-transformers-prof,
               libghc-comonads-fd-dev (>= 2.0.2),
               libghc-comonads-fd-dev (<< 2.1),
               libghc-comonads-fd-prof,
               libghc-data-lens-dev (>= 2.0),
               libghc-data-lens-dev (<< 2.1),
               libghc-data-lens-prof
Build-Depends-Indep: ghc-doc,
                     libghc-comonad-doc,
                     libghc-contravariant-doc,
                     libghc-distributive-doc,
                     libghc-mtl-doc,                     
                     libghc-semigroups-doc,
                     libghc-semigroupoids-doc,
                     libghc-transformers-doc,
                     libghc-keys-doc,
                     libghc-free-doc,
                     libghc-comonad-transformers-doc,
                     libghc-comonads-fd-doc,
                     libghc-data-lens-doc
Standards-Version: 3.9.2
Homepage: http://hackage.haskell.org/package/representable-functors
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-representable-functors
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-representable-functors

Package: libghc-representable-functors-dev
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Representable functors
 This package provides a generalized Store comonad, parameterized by a 
 Representable functor (the representation of that functor serves as the index 
 of the store) and a generalized State monad, parameterized by a Representable 
 functor (the representation of that functor serves as the state).
 .
 Representable functors on Hask all monads, being isomorphic to a reader monad.
 .
 Representable contravariant endofunctors over the category of Haskell types 
 are isomorphic to (_ -> r) and resemble mappings to a fixed range.
 .
 Representable endofunctors over the category of Haskell types are isomorphic 
 to the reader monad and so inherit a very large number of properties for free. 
 .
 This package provides a library for the Haskell programming language.
 See http://www.haskell.org/ for more information on Haskell.

Package: libghc-representable-functors-prof
Architecture: any
Depends: ${haskell:Depends}, ${misc:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Provides: ${haskell:Provides}
Description: Representable functors; profiling data
 This package provides a generalized Store comonad, parameterized by a 
 Representable functor (the representation of that functor serves as the index 
 of the store) and a generalized State monad, parameterized by a Representable 
 functor (the representation of that functor serves as the state).
 .
 Representable functors on Hask all monads, being isomorphic to a reader monad.
 .
 Representable contravariant endofunctors over the category of Haskell types 
 are isomorphic to (_ -> r) and resemble mappings to a fixed range.
 .
 Representable endofunctors over the category of Haskell types are isomorphic 
 to the reader monad and so inherit a very large number of properties for free. 
 .
 This package provides a library for the Haskell programming language, compiled
 for profiling. See http://www.haskell.org/ for more information on Haskell.

Package: libghc-representable-functors-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${haskell:Depends}
Recommends: ${haskell:Recommends}
Suggests: ${haskell:Suggests}
Description: Representable functors; documentation
 This package provides a generalized Store comonad, parameterized by a 
 Representable functor (the representation of that functor serves as the index 
 of the store) and a generalized State monad, parameterized by a Representable 
 functor (the representation of that functor serves as the state).
 .
 Representable functors on Hask all monads, being isomorphic to a reader monad.
 .
 Representable contravariant endofunctors over the category of Haskell types 
 are isomorphic to (_ -> r) and resemble mappings to a fixed range.
 .
 Representable endofunctors over the category of Haskell types are isomorphic 
 to the reader monad and so inherit a very large number of properties for free. 
 .
 This package provides the documentation for a library for the Haskell
 programming language.
 See http://www.haskell.org/ for more information on Haskell.
