## haskell-representable-functors 2.1.2

=== debian/changelog ===
haskell-representable-functors (2.1.2-1) unstable; urgency=low

  * New upstream release
  * Remove patches

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 Feb 2012 18:16:42 +0100

haskell-representable-functors (2.1-2) unstable; urgency=low

  * Extend array dependency range for GHC 7.4.1

 -- Joachim Breitner <nomeata@debian.org>  Sat, 04 Feb 2012 19:53:41 +0100
