=== debian/control ===
--- 
+++ 
@@ -24,25 +24,25 @@
                libghc-semigroups-dev (>= 0.8),
                libghc-semigroups-dev (<< 0.9),
                libghc-semigroups-prof,
-               libghc-semigroupoids-dev (>= 1.2.6),
+               libghc-semigroupoids-dev (>= 1.2.6.1),
                libghc-semigroupoids-dev (<< 1.3.0),
                libghc-semigroupoids-prof,
                libghc-transformers-dev (>= 0.2.0),
                libghc-transformers-dev (<< 0.3),
                libghc-transformers-prof,
-               libghc-keys-dev (>= 2.1),
+               libghc-keys-dev (>= 2.1.2),
                libghc-keys-dev (<< 2.2),
                libghc-keys-prof,
-               libghc-free-dev (>= 2.0),
+               libghc-free-dev (>= 2.0.3),
                libghc-free-dev (<< 2.1),
                libghc-free-prof,
-               libghc-comonad-transformers-dev (>= 2.0.2),
+               libghc-comonad-transformers-dev (>= 2.0.3),
                libghc-comonad-transformers-dev (<< 2.1),
                libghc-comonad-transformers-prof,
-               libghc-comonads-fd-dev (>= 2.0.2),
+               libghc-comonads-fd-dev (>= 2.0.2.1),
                libghc-comonads-fd-dev (<< 2.1),
                libghc-comonads-fd-prof,
-               libghc-data-lens-dev (>= 2.0),
+               libghc-data-lens-dev (>= 2.0.2),
                libghc-data-lens-dev (<< 2.1),
                libghc-data-lens-prof
 Build-Depends-Indep: ghc-doc,
