## haskell-representable-functors 2.4.0.2

=== debian/changelog ===
haskell-representable-functors (2.4.0.2-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Thu, 17 May 2012 13:06:59 +0200
