=== debian/control ===
--- 
+++ 
@@ -9,41 +9,41 @@
                haskell-devscripts (>= 0.8), 
                ghc, 
                ghc-prof,
-               libghc-comonad-dev (>= 1.1.1.1),
+               libghc-comonad-dev (>= 1.1.1.5),
                libghc-comonad-dev (<< 1.2),
                libghc-comonad-prof,
-               libghc-contravariant-dev (>= 0.1.2),
-               libghc-contravariant-dev (<< 0.2),
+               libghc-contravariant-dev (>= 0.2.0.1),
+               libghc-contravariant-dev (<< 0.3),
                libghc-contravariant-prof,
-               libghc-distributive-dev (>= 0.2),
+               libghc-distributive-dev (>= 0.2.2),
                libghc-distributive-dev (<< 0.3),
                libghc-distributive-prof,
                libghc-mtl-dev (>= 2.0.1.0),
-               libghc-mtl-dev (<< 2.1),
+               libghc-mtl-dev (<< 2.2),
                libghc-mtl-prof,
-               libghc-semigroups-dev (>= 0.8),
+               libghc-semigroups-dev (>= 0.8.3.1),
                libghc-semigroups-dev (<< 0.9),
                libghc-semigroups-prof,
-               libghc-semigroupoids-dev (>= 1.2.6.1),
-               libghc-semigroupoids-dev (<< 1.3.0),
+               libghc-semigroupoids-dev (>= 1.3.1.2),
+               libghc-semigroupoids-dev (<< 1.4),
                libghc-semigroupoids-prof,
-               libghc-transformers-dev (>= 0.2.0),
-               libghc-transformers-dev (<< 0.3),
+               libghc-transformers-dev (>= 0.2),
+               libghc-transformers-dev (<< 0.4),
                libghc-transformers-prof,
-               libghc-keys-dev (>= 2.1.2),
+               libghc-keys-dev (>= 2.1.3.1),
                libghc-keys-dev (<< 2.2),
                libghc-keys-prof,
-               libghc-free-dev (>= 2.0.3),
-               libghc-free-dev (<< 2.1),
+               libghc-free-dev (>= 2.1.1),
+               libghc-free-dev (<< 2.2),
                libghc-free-prof,
-               libghc-comonad-transformers-dev (>= 2.0.3),
-               libghc-comonad-transformers-dev (<< 2.1),
+               libghc-comonad-transformers-dev (>= 2.1.1.1),
+               libghc-comonad-transformers-dev (<< 2.2),
                libghc-comonad-transformers-prof,
-               libghc-comonads-fd-dev (>= 2.0.2.1),
-               libghc-comonads-fd-dev (<< 2.1),
+               libghc-comonads-fd-dev (>= 2.1.1.1),
+               libghc-comonads-fd-dev (<< 2.2),
                libghc-comonads-fd-prof,
-               libghc-data-lens-dev (>= 2.0.2),
-               libghc-data-lens-dev (<< 2.1),
+               libghc-data-lens-dev (>= 2.0.3),
+               libghc-data-lens-dev (<< 2.11),
                libghc-data-lens-prof
 Build-Depends-Indep: ghc-doc,
                      libghc-comonad-doc,
