=== debian/control ===
--- 
+++ 
@@ -6,45 +6,42 @@
 DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 7),
                cdbs, 
-               haskell-devscripts (>= 0.8), 
+               haskell-devscripts (>= 0.8.13), 
                ghc, 
                ghc-prof,
-               libghc-comonad-dev (>= 1.1.1.5),
-               libghc-comonad-dev (<< 1.2),
+               libghc-comonad-dev (>= 3.0),
+               libghc-comonad-dev (<< 3.1),
                libghc-comonad-prof,
+               libghc-comonad-transformers-dev (>= 3.0),
+               libghc-comonad-transformers-dev (<< 3.1),
+               libghc-comonad-transformers-prof,
+               libghc-comonads-fd-dev (>= 3.0),
+               libghc-comonads-fd-dev (<< 3.1),
+               libghc-comonads-fd-prof,
                libghc-contravariant-dev (>= 0.2.0.1),
                libghc-contravariant-dev (<< 0.3),
                libghc-contravariant-prof,
                libghc-distributive-dev (>= 0.2.2),
                libghc-distributive-dev (<< 0.3),
                libghc-distributive-prof,
+               libghc-free-dev (>= 3.0),
+               libghc-free-dev (<< 3.3),
+               libghc-free-prof,
+               libghc-keys-dev (>= 3.0),
+               libghc-keys-dev (<< 3.1),
+               libghc-keys-prof,
                libghc-mtl-dev (>= 2.0.1.0),
                libghc-mtl-dev (<< 2.2),
                libghc-mtl-prof,
                libghc-semigroups-dev (>= 0.8.3.1),
                libghc-semigroups-dev (<< 0.9),
                libghc-semigroups-prof,
-               libghc-semigroupoids-dev (>= 1.3.1.2),
-               libghc-semigroupoids-dev (<< 1.4),
+               libghc-semigroupoids-dev (>= 3.0),
+               libghc-semigroupoids-dev (<< 3.1),
                libghc-semigroupoids-prof,
                libghc-transformers-dev (>= 0.2),
                libghc-transformers-dev (<< 0.4),
                libghc-transformers-prof,
-               libghc-keys-dev (>= 2.1.3.1),
-               libghc-keys-dev (<< 2.2),
-               libghc-keys-prof,
-               libghc-free-dev (>= 2.1.1),
-               libghc-free-dev (<< 2.2),
-               libghc-free-prof,
-               libghc-comonad-transformers-dev (>= 2.1.1.1),
-               libghc-comonad-transformers-dev (<< 2.2),
-               libghc-comonad-transformers-prof,
-               libghc-comonads-fd-dev (>= 2.1.1.1),
-               libghc-comonads-fd-dev (<< 2.2),
-               libghc-comonads-fd-prof,
-               libghc-data-lens-dev (>= 2.0.3),
-               libghc-data-lens-dev (<< 2.11),
-               libghc-data-lens-prof
 Build-Depends-Indep: ghc-doc,
                      libghc-comonad-doc,
                      libghc-contravariant-doc,
@@ -57,8 +54,7 @@
                      libghc-free-doc,
                      libghc-comonad-transformers-doc,
                      libghc-comonads-fd-doc,
-                     libghc-data-lens-doc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://hackage.haskell.org/package/representable-functors
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-representable-functors
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-representable-functors
