=== debian/control ===
--- 
+++ 
@@ -4,40 +4,31 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Iulian Udrea <iulian@linux.com>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
                cdbs, 
-               haskell-devscripts (>= 0.8.13), 
+               haskell-devscripts (>= 0.8.15), 
                ghc, 
                ghc-prof,
                libghc-comonad-dev (>= 3.0),
-               libghc-comonad-dev (<< 3.1),
                libghc-comonad-prof,
                libghc-comonad-transformers-dev (>= 3.0),
-               libghc-comonad-transformers-dev (<< 3.1),
                libghc-comonad-transformers-prof,
                libghc-comonads-fd-dev (>= 3.0),
-               libghc-comonads-fd-dev (<< 3.1),
                libghc-comonads-fd-prof,
                libghc-contravariant-dev (>= 0.2.0.1),
-               libghc-contravariant-dev (<< 0.3),
                libghc-contravariant-prof,
                libghc-distributive-dev (>= 0.2.2),
-               libghc-distributive-dev (<< 0.3),
                libghc-distributive-prof,
                libghc-free-dev (>= 3.0),
-               libghc-free-dev (<< 3.3),
                libghc-free-prof,
                libghc-keys-dev (>= 3.0),
-               libghc-keys-dev (<< 3.1),
                libghc-keys-prof,
                libghc-mtl-dev (>= 2.0.1.0),
                libghc-mtl-dev (<< 2.2),
                libghc-mtl-prof,
                libghc-semigroups-dev (>= 0.8.3.1),
-               libghc-semigroups-dev (<< 0.9),
                libghc-semigroups-prof,
                libghc-semigroupoids-dev (>= 3.0),
-               libghc-semigroupoids-dev (<< 3.1),
                libghc-semigroupoids-prof,
                libghc-transformers-dev (>= 0.2),
                libghc-transformers-dev (<< 0.4),
@@ -65,7 +56,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Representable functors
+Description: Representable functors${haskell:ShortBlurb}
  This package provides a generalized Store comonad, parameterized by a 
  Representable functor (the representation of that functor serves as the index 
  of the store) and a generalized State monad, parameterized by a Representable 
@@ -79,8 +70,7 @@
  Representable endofunctors over the category of Haskell types are isomorphic 
  to the reader monad and so inherit a very large number of properties for free. 
  .
- This package provides a library for the Haskell programming language.
- See http://www.haskell.org/ for more information on Haskell.
+ ${haskell:Blurb}
 
 Package: libghc-representable-functors-prof
 Architecture: any
@@ -88,7 +78,7 @@
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
 Provides: ${haskell:Provides}
-Description: Representable functors; profiling data
+Description: Representable functors${haskell:ShortBlurb}
  This package provides a generalized Store comonad, parameterized by a 
  Representable functor (the representation of that functor serves as the index 
  of the store) and a generalized State monad, parameterized by a Representable 
@@ -102,8 +92,7 @@
  Representable endofunctors over the category of Haskell types are isomorphic 
  to the reader monad and so inherit a very large number of properties for free. 
  .
- This package provides a library for the Haskell programming language, compiled
- for profiling. See http://www.haskell.org/ for more information on Haskell.
+ ${haskell:Blurb}
 
 Package: libghc-representable-functors-doc
 Section: doc
@@ -111,7 +100,7 @@
 Depends: ${misc:Depends}, ${haskell:Depends}
 Recommends: ${haskell:Recommends}
 Suggests: ${haskell:Suggests}
-Description: Representable functors; documentation
+Description: Representable functors${haskell:ShortBlurb}
  This package provides a generalized Store comonad, parameterized by a 
  Representable functor (the representation of that functor serves as the index 
  of the store) and a generalized State monad, parameterized by a Representable 
@@ -125,6 +114,4 @@
  Representable endofunctors over the category of Haskell types are isomorphic 
  to the reader monad and so inherit a very large number of properties for free. 
  .
- This package provides the documentation for a library for the Haskell
- programming language.
- See http://www.haskell.org/ for more information on Haskell.
+ ${haskell:Blurb}
