## haskell-representable-functors 3.2.0.2

=== debian/changelog ===
haskell-representable-functors (3.2.0.2-1build2) trusty; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 27 Dec 2013 13:16:03 +0000

haskell-representable-functors (3.2.0.2-1build1) trusty; urgency=low

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 14 Dec 2013 02:31:11 +0000

haskell-representable-functors (3.2.0.2-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 30 Nov 2013 12:46:26 -0500
