=== debian/control ===
--- 
+++ 
@@ -3,36 +3,37 @@
 Priority: extra
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Iulian Udrea <iulian@linux.com>
-DM-Upload-Allowed: yes
 Build-Depends: debhelper (>= 9),
                cdbs, 
                haskell-devscripts (>= 0.8.15), 
                ghc, 
                ghc-prof,
-               libghc-comonad-dev (>= 3.0),
+               libghc-comonad-dev (>= 4.0),
                libghc-comonad-prof,
-               libghc-comonad-transformers-dev (>= 3.0),
-               libghc-comonad-transformers-prof,
-               libghc-comonads-fd-dev (>= 3.0),
-               libghc-comonads-fd-prof,
-               libghc-contravariant-dev (>= 0.2.0.1),
+               libghc-contravariant-dev (>= 0.4.1),
+               libghc-contravariant-dev (<< 1),
                libghc-contravariant-prof,
                libghc-distributive-dev (>= 0.2.2),
+               libghc-distributive-dev (<< 1),
                libghc-distributive-prof,
                libghc-free-dev (>= 3.0),
+               libghc-free-dev (<< 5),
                libghc-free-prof,
                libghc-keys-dev (>= 3.0),
+               libghc-keys-dev (<< 4),
                libghc-keys-prof,
                libghc-mtl-dev (>= 2.0.1.0),
                libghc-mtl-dev (<< 2.2),
                libghc-mtl-prof,
+               libghc-semigroupoids-dev (>= 3.0),
+               libghc-semigroupoids-dev (<< 5),
+               libghc-semigroupoids-prof,
                libghc-semigroups-dev (>= 0.8.3.1),
+               libghc-semigroups-dev (<< 1),
                libghc-semigroups-prof,
-               libghc-semigroupoids-dev (>= 3.0),
-               libghc-semigroupoids-prof,
                libghc-transformers-dev (>= 0.2),
                libghc-transformers-dev (<< 0.4),
-               libghc-transformers-prof,
+               libghc-transformers-prof
 Build-Depends-Indep: ghc-doc,
                      libghc-comonad-doc,
                      libghc-contravariant-doc,
@@ -42,10 +43,8 @@
                      libghc-semigroupoids-doc,
                      libghc-transformers-doc,
                      libghc-keys-doc,
-                     libghc-free-doc,
-                     libghc-comonad-transformers-doc,
-                     libghc-comonads-fd-doc,
-Standards-Version: 3.9.4
+                     libghc-free-doc
+Standards-Version: 3.9.5
 Homepage: http://hackage.haskell.org/package/representable-functors
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/haskell-representable-functors
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/haskell-representable-functors
